Favicon

You are here: Home > API Reference > UEM > MDM Devices > Identify devices with synchronization failures

Identify devices with synchronization failures

Required Permission: mdm.global.device.list

Retrieves list of managed devices experiencing communication failures with management servers, enabling IT teams to quickly diagnose and resolve connectivity or authentication issues.

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/devices/sync-errors
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/devices/sync-errors" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/devices/sync-errors", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/devices/sync-errors",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

target string
optional
Synchronization error target type defining whether issue affects device user or group entity.
emmDeviceadmDevicewinDeviceaosDevice
targetId string
optional
Synchronization error target identifier for retrieving errors specific to entity for troubleshooting.
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
{
    "status": true,
    "data": {
        "items": [
            {}
        ]
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}